kr.co.hanwha.hifive.enums

## Enum BaseToolbarType

- java.lang.Object
- - java.lang.Enum<BaseToolbarType>
  - - kr.co.hanwha.hifive.enums.BaseToolbarType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BaseToolbarType>

    public enum BaseToolbarType
    extends java.lang.Enum<BaseToolbarType>

Activity Toolbar Type

Created by sanghoonkwon on 2018. 1. 10..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT` ALARM, SEARCH
`NONE` NONE
`ONLY_BACK` BACK
`ONLY_CLOSE` CLOSE
`ONLY_CLOSE_OVERLAP` CLOSE, OVERLAP
`ONLY_TITLE` TITLE

### Method Summary

All Methods Static Methods Concrete Methods
`static BaseToolbarType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BaseToolbarType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final BaseToolbarType NONE

NONE

#### DEFAULT

    public static final BaseToolbarType DEFAULT

ALARM, SEARCH

#### ONLY_BACK

    public static final BaseToolbarType ONLY_BACK

BACK

#### ONLY_CLOSE

    public static final BaseToolbarType ONLY_CLOSE

CLOSE

#### ONLY_CLOSE_OVERLAP

    public static final BaseToolbarType ONLY_CLOSE_OVERLAP

CLOSE, OVERLAP

#### ONLY_TITLE

    public static final BaseToolbarType ONLY_TITLE

TITLE

### Method Detail

#### values

    public static BaseToolbarType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BaseToolbarType c : BaseToolbarType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BaseToolbarType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null